#include <iostream>

using namespace std;

int main()
{
    long long int x1,x2,y1,y2,kul1,kul2;
    cin >>x1;
    cin >>y1;
    cin >>x2;
    cin >>y2;

    if (x1==x2)
    {
        cout <<"2";
        return 0;
    }
    else if(x2>x1)
    {
        kul1=x2-x1;
    }
    else
    {
        kul1=x1-x2;
    }
    if (y1==y2)
    {
        cout <<"2";
        return 0;
    }
    else if (y2>y1)
    {
         kul2=y2-y1;
    }
    else
    {
        kul2=y1-y2;
    }
    if (kul1!=kul2)
    {
        cout <<"0";
        return 0;
    }
    else
    {
        cout<<"1";
    }

    return 0;
}